Bug 1815091 - Review Request: python-adb - A Python implementation of the Android ADB and Fastboot protocols
Summary: Review Request: python-adb - A Python implementation of the Android ADB and F...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-19 13:03 UTC by Fabian Affolter
Modified: 2020-07-09 01:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-09 01:04:56 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-03-19 13:03:30 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-adb.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-adb-1.3.0-1.fc31.src.rpm

Project URL: https://github.com/google/python-adb

Description:
This module contains a pure Python implementation of the Android ADB and
Fastboot protocols, using libusb1 for USB communications.This is a complete
replacement and rearchitecture of the Android project's ADB and fastboot code
available at code is mainly targeted to users that need to communicate with
Android devices in an automated fashion, such as in automated testing.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=42617080

rpmlint output:
$ rpmlint python-adb-1.3.0-1.fc31.src.rpm 
python-adb.src: W: spelling-error %description -l en_US rearchitecture -> re architecture, re-architecture, architecture
python-adb.src: W: spelling-error %description -l en_US fastboot -> fast boot, fast-boot, fastball
python-adb.src:49: W: macro-in-comment %check
python-adb.src:50: W: macro-in-comment %{__python3}
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint python3-adb-1.3.0-1.fc31.noarch.rpm 
python3-adb.noarch: W: spelling-error %description -l en_US rearchitecture -> re architecture, re-architecture, architecture
python3-adb.noarch: W: spelling-error %description -l en_US fastboot -> fast boot, fast-boot, fastball
python3-adb.noarch: W: no-manual-page-for-binary pyadb
python3-adb.noarch: W: no-manual-page-for-binary pyfastboot
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-03-26 20:02:13 UTC
 - Package is not installable:

DEBUG util.py:621:   Problem: conflicting requests
DEBUG util.py:621:    - nothing provides (python3.8dist(m2crypto) >= 0.21.1 with python3.8dist(m2crypto) <= 0.26.4) needed by python3-adb-1.3.0-1.fc33.noarch
DEBUG util.py:623:  (try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Apache License 2.0". 9 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-adb/review-python-
     adb/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 2.1 starting (python version = 3.8.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
INFO: Signal handler active
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled package manager cache
Start: cleaning package manager metadata
Finish: cleaning package manager metadata
INFO: enabled ccache
INFO: enabled HW Info plugin
Mock Version: 2.1
INFO: Mock Version: 2.1
Finish: chroot init
INFO: installing package(s): /home/bob/packaging/review/python-adb/review-python-adb/results/python3-adb-1.3.0-1.fc33.noarch.rpm
ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/f33-candidate-x86_64/root/ --releasever 33 --setopt=deltarpm=False --allowerasing --disableplugin=local --disableplugin=spacewalk install /home/bob/packaging/review/python-adb/review-python-adb/results/python3-adb-1.3.0-1.fc33.noarch.rpm --setopt=tsflags=nocontexts



Rpmlint
-------
Checking: python3-adb-1.3.0-1.fc33.noarch.rpm
          python-adb-1.3.0-1.fc33.src.rpm
python3-adb.noarch: W: spelling-error %description -l en_US rearchitecture -> re architecture, re-architecture, architecture
python3-adb.noarch: W: spelling-error %description -l en_US fastboot -> fast boot, fast-boot, fastball
python3-adb.noarch: W: no-manual-page-for-binary pyadb
python3-adb.noarch: W: no-manual-page-for-binary pyfastboot
python-adb.src: W: spelling-error %description -l en_US rearchitecture -> re architecture, re-architecture, architecture
python-adb.src: W: spelling-error %description -l en_US fastboot -> fast boot, fast-boot, fastball
python-adb.src:49: W: macro-in-comment %check
python-adb.src:50: W: macro-in-comment %{__python3}
2 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 2 Fabian Affolter 2020-04-05 19:54:14 UTC
(In reply to Robert-André Mauchin from comment #1)
>  - Package is not installable:
> 
> DEBUG util.py:621:   Problem: conflicting requests
> DEBUG util.py:621:    - nothing provides (python3.8dist(m2crypto) >= 0.21.1
> with python3.8dist(m2crypto) <= 0.26.4) needed by
> python3-adb-1.3.0-1.fc33.noarch
> DEBUG util.py:623:  (try to add '--skip-broken' to skip uninstallable
> packages or '--nobest' to use not only best candidate packages)

Upstream is moving to pycryptodome(x).

%changelog
* Sun Apr 05 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.0-2
- Fix requirements (rhbz#1815091)

Updates files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-adb.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-adb-1.3.0-2.fc31.src.rpm

Comment 3 Robert-André Mauchin 🐧 2020-04-13 18:28:23 UTC
Ok maybe but current package is still not installable:

DEBUG util.py:621:  Error: 
DEBUG util.py:621:   Problem: conflicting requests
DEBUG util.py:621:    - nothing provides (python3.8dist(m2crypto) >= 0.21.1 with python3.8dist(m2crypto) <= 0.26.4) needed by python3-adb-1.3.0-2.fc33.noarch

Comment 4 Robert-André Mauchin 🐧 2020-04-13 18:30:13 UTC
Try backporting this patch maybe: https://github.com/google/python-adb/commit/4b555e64d1e49d91ed851c59bb11b734b302f71d.patch

Comment 5 Fabian Affolter 2020-06-29 07:35:41 UTC
(In reply to Robert-André Mauchin from comment #4)
> Try backporting this patch maybe:
> https://github.com/google/python-adb/commit/
> 4b555e64d1e49d91ed851c59bb11b734b302f71d.patch

Thanks

%changelog
* Mon Jun 29 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.3.0-3
- Add patch for py-cryptography

Updates files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-adb.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-adb-1.3.0-3.fc31.src.rpm

Comment 6 Robert-André Mauchin 🐧 2020-06-29 14:40:03 UTC
Package approved.

Comment 7 Gwyn Ciesla 2020-06-29 16:33:55 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-adb

Comment 8 Fedora Update System 2020-06-30 06:41:20 UTC
FEDORA-2020-f9f2a1ed43 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f9f2a1ed43

Comment 9 Fedora Update System 2020-07-01 02:18:55 UTC
FEDORA-2020-f9f2a1ed43 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-f9f2a1ed43 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f9f2a1ed43

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-07-09 01:04:56 UTC
FEDORA-2020-f9f2a1ed43 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.